document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll behavior
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Add intersection observer for fade-in animations
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  });

  document.querySelectorAll('.post').forEach((post) => {
    observer.observe(post);
  });

  // Dynamic theme based on time of day
  const hour = new Date().getHours();
  if (hour < 6 || hour > 20) {
    document.documentElement.style.setProperty('--background', '#2d3436');
    document.documentElement.style.setProperty('--text', '#f5f6fa');
  }
});
